Skip to content
Login Sign up

Geolocation

Use the country parameter with a 2-letter ISO country code to send the request from that location. Supported countries depend on the proxy type. Plans without geolocation access get a random country for the chosen pool.

GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>&country=us&proxy_type=datacenter
ParameterTypeRequiredDescription
api_keystringyesYour Web Scraping API key
urlstringyesTarget URL to fetch
countrystringno2-letter country code (e.g. us, gb, de).
proxy_typestringnodatacenter (default) or residential.
  • Datacenter: us, ca, gb, de, fr, es, mx, jp, cn, au.
  • Residential: us, ca, gb, de, fr, es, jp, cn, au, br, in, mx.
Terminal window
curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https%3A%2F%2Fhttpbin.org%2Fget&country=us&proxy_type=datacenter"
{
"args": {},
"headers": {
"Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"Accept-Encoding": "gzip, deflate, br",
"Host": "httpbin.org",
"Upgrade-Insecure-Requests": "1",
"User-Agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.0 Safari/537.36"
},
"origin": "192.3.214.245",
"url": "https://httpbin.org/get"
}